Configuring an External Postfix Installation

Postfix is the mail transfer agent (MTA) installed during a "Full Install" of PureMessage. You can also configure PureMessage to work with an existing version of Postfix.

While PureMessage will work with any version of Postfix that has content-filtering enabled, older versions of Postfix have security problems. Version 2.1.5 or later is recommended.

The Postfix content-filtering mechanism relies on passing messages via SMTP to PureMessage (the pmx-milter program specifically). PureMessage can then modify and/or reinject the message back into Postfix, quarantine the message, or take other actions based on the policy. The FILTER_README document included with Postfix provides an overview of the model.